# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: wiki.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from . import lint_pb2 as lint__pb2
from . import shared_pb2 as shared__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='wiki.proto',
  package='gitaly',
  syntax='proto3',
  serialized_pb=_b('\n\nwiki.proto\x12\x06gitaly\x1a\nlint.proto\x1a\x0cshared.proto\"e\n\x11WikiCommitDetails\x12\x0c\n\x04name\x18\x01 \x01(\x0c\x12\r\n\x05\x65mail\x18\x02 \x01(\x0c\x12\x0f\n\x07message\x18\x03 \x01(\x0c\x12\x0f\n\x07user_id\x18\x04 \x01(\x05\x12\x11\n\tuser_name\x18\x05 \x01(\x0c\"D\n\x0fWikiPageVersion\x12!\n\x06\x63ommit\x18\x01 \x01(\x0b\x32\x11.gitaly.GitCommit\x12\x0e\n\x06\x66ormat\x18\x02 \x01(\t\"\xa7\x01\n\x08WikiPage\x12(\n\x07version\x18\x01 \x01(\x0b\x32\x17.gitaly.WikiPageVersion\x12\x0e\n\x06\x66ormat\x18\x02 \x01(\t\x12\r\n\x05title\x18\x03 \x01(\x0c\x12\x10\n\x08url_path\x18\x04 \x01(\t\x12\x0c\n\x04path\x18\x05 \x01(\x0c\x12\x0c\n\x04name\x18\x06 \x01(\x0c\x12\x12\n\nhistorical\x18\x07 \x01(\x08\x12\x10\n\x08raw_data\x18\x08 \x01(\x0c\"\xa6\x01\n\x14WikiWritePageRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x0c\n\x04name\x18\x02 \x01(\x0c\x12\x0e\n\x06\x66ormat\x18\x03 \x01(\t\x12\x31\n\x0e\x63ommit_details\x18\x04 \x01(\x0b\x32\x19.gitaly.WikiCommitDetails\x12\x0f\n\x07\x63ontent\x18\x05 \x01(\x0c\"0\n\x15WikiWritePageResponse\x12\x17\n\x0f\x64uplicate_error\x18\x01 \x01(\x0c\"\xbb\x01\n\x15WikiUpdatePageRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x11\n\tpage_path\x18\x02 \x01(\x0c\x12\r\n\x05title\x18\x03 \x01(\x0c\x12\x0e\n\x06\x66ormat\x18\x04 \x01(\t\x12\x31\n\x0e\x63ommit_details\x18\x05 \x01(\x0b\x32\x19.gitaly.WikiCommitDetails\x12\x0f\n\x07\x63ontent\x18\x06 \x01(\x0c\"\'\n\x16WikiUpdatePageResponse\x12\r\n\x05\x65rror\x18\x01 \x01(\x0c\"\x8d\x01\n\x13WikiFindPageRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\r\n\x05title\x18\x02 \x01(\x0c\x12\x10\n\x08revision\x18\x03 \x01(\x0c\x12\x11\n\tdirectory\x18\x04 \x01(\x0c\x12\x14\n\x0cskip_content\x18\x05 \x01(\x08\"6\n\x14WikiFindPageResponse\x12\x1e\n\x04page\x18\x01 \x01(\x0b\x32\x10.gitaly.WikiPage\"\xc7\x01\n\x16WikiGetAllPagesRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\r\n\x05limit\x18\x02 \x01(\r\x12\x16\n\x0e\x64irection_desc\x18\x03 \x01(\x08\x12\x33\n\x04sort\x18\x04 \x01(\x0e\x32%.gitaly.WikiGetAllPagesRequest.SortBy\"#\n\x06SortBy\x12\t\n\x05TITLE\x10\x00\x12\x0e\n\nCREATED_AT\x10\x01\"N\n\x17WikiGetAllPagesResponse\x12\x1e\n\x04page\x18\x01 \x01(\x0b\x32\x10.gitaly.WikiPage\x12\x13\n\x0b\x65nd_of_page\x18\x02 \x01(\x08\"\xd3\x01\n\x14WikiListPagesRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\r\n\x05limit\x18\x02 \x01(\r\x12\x16\n\x0e\x64irection_desc\x18\x03 \x01(\x08\x12\x31\n\x04sort\x18\x04 \x01(\x0e\x32#.gitaly.WikiListPagesRequest.SortBy\x12\x0e\n\x06offset\x18\x05 \x01(\r\"#\n\x06SortBy\x12\t\n\x05TITLE\x10\x00\x12\x0e\n\nCREATED_AT\x10\x01\"7\n\x15WikiListPagesResponse\x12\x1e\n\x04page\x18\x01 \x01(\x0b\x32\x10.gitaly.WikiPage2\xcb\x03\n\x0bWikiService\x12V\n\rWikiWritePage\x12\x1c.gitaly.WikiWritePageRequest\x1a\x1d.gitaly.WikiWritePageResponse\"\x06\xfa\x97(\x02\x08\x01(\x01\x12Y\n\x0eWikiUpdatePage\x12\x1d.gitaly.WikiUpdatePageRequest\x1a\x1e.gitaly.WikiUpdatePageResponse\"\x06\xfa\x97(\x02\x08\x01(\x01\x12S\n\x0cWikiFindPage\x12\x1b.gitaly.WikiFindPageRequest\x1a\x1c.gitaly.WikiFindPageResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12\\\n\x0fWikiGetAllPages\x12\x1e.gitaly.WikiGetAllPagesRequest\x1a\x1f.gitaly.WikiGetAllPagesResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12V\n\rWikiListPages\x12\x1c.gitaly.WikiListPagesRequest\x1a\x1d.gitaly.WikiListPagesResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x42\x34Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypbb\x06proto3')
  ,
  dependencies=[lint__pb2.DESCRIPTOR,shared__pb2.DESCRIPTOR,])



_WIKIGETALLPAGESREQUEST_SORTBY = _descriptor.EnumDescriptor(
  name='SortBy',
  full_name='gitaly.WikiGetAllPagesRequest.SortBy',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='TITLE', index=0, number=0,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='CREATED_AT', index=1, number=1,
      options=None,
      type=None),
  ],
  containing_type=None,
  options=None,
  serialized_start=1206,
  serialized_end=1241,
)
_sym_db.RegisterEnumDescriptor(_WIKIGETALLPAGESREQUEST_SORTBY)

_WIKILISTPAGESREQUEST_SORTBY = _descriptor.EnumDescriptor(
  name='SortBy',
  full_name='gitaly.WikiListPagesRequest.SortBy',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='TITLE', index=0, number=0,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='CREATED_AT', index=1, number=1,
      options=None,
      type=None),
  ],
  containing_type=None,
  options=None,
  serialized_start=1206,
  serialized_end=1241,
)
_sym_db.RegisterEnumDescriptor(_WIKILISTPAGESREQUEST_SORTBY)


_WIKICOMMITDETAILS = _descriptor.Descriptor(
  name='WikiCommitDetails',
  full_name='gitaly.WikiCommitDetails',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='name', full_name='gitaly.WikiCommitDetails.name', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='email', full_name='gitaly.WikiCommitDetails.email', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='message', full_name='gitaly.WikiCommitDetails.message', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='user_id', full_name='gitaly.WikiCommitDetails.user_id', index=3,
      number=4, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='user_name', full_name='gitaly.WikiCommitDetails.user_name', index=4,
      number=5, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=48,
  serialized_end=149,
)


_WIKIPAGEVERSION = _descriptor.Descriptor(
  name='WikiPageVersion',
  full_name='gitaly.WikiPageVersion',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='commit', full_name='gitaly.WikiPageVersion.commit', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='format', full_name='gitaly.WikiPageVersion.format', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=151,
  serialized_end=219,
)


_WIKIPAGE = _descriptor.Descriptor(
  name='WikiPage',
  full_name='gitaly.WikiPage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='version', full_name='gitaly.WikiPage.version', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='format', full_name='gitaly.WikiPage.format', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='title', full_name='gitaly.WikiPage.title', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='url_path', full_name='gitaly.WikiPage.url_path', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='path', full_name='gitaly.WikiPage.path', index=4,
      number=5, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='name', full_name='gitaly.WikiPage.name', index=5,
      number=6, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='historical', full_name='gitaly.WikiPage.historical', index=6,
      number=7, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='raw_data', full_name='gitaly.WikiPage.raw_data', index=7,
      number=8, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=222,
  serialized_end=389,
)


_WIKIWRITEPAGEREQUEST = _descriptor.Descriptor(
  name='WikiWritePageRequest',
  full_name='gitaly.WikiWritePageRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.WikiWritePageRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='name', full_name='gitaly.WikiWritePageRequest.name', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='format', full_name='gitaly.WikiWritePageRequest.format', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='commit_details', full_name='gitaly.WikiWritePageRequest.commit_details', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='content', full_name='gitaly.WikiWritePageRequest.content', index=4,
      number=5, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=392,
  serialized_end=558,
)


_WIKIWRITEPAGERESPONSE = _descriptor.Descriptor(
  name='WikiWritePageResponse',
  full_name='gitaly.WikiWritePageResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='duplicate_error', full_name='gitaly.WikiWritePageResponse.duplicate_error', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=560,
  serialized_end=608,
)


_WIKIUPDATEPAGEREQUEST = _descriptor.Descriptor(
  name='WikiUpdatePageRequest',
  full_name='gitaly.WikiUpdatePageRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.WikiUpdatePageRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='page_path', full_name='gitaly.WikiUpdatePageRequest.page_path', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='title', full_name='gitaly.WikiUpdatePageRequest.title', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='format', full_name='gitaly.WikiUpdatePageRequest.format', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='commit_details', full_name='gitaly.WikiUpdatePageRequest.commit_details', index=4,
      number=5, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='content', full_name='gitaly.WikiUpdatePageRequest.content', index=5,
      number=6, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=611,
  serialized_end=798,
)


_WIKIUPDATEPAGERESPONSE = _descriptor.Descriptor(
  name='WikiUpdatePageResponse',
  full_name='gitaly.WikiUpdatePageResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='error', full_name='gitaly.WikiUpdatePageResponse.error', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=800,
  serialized_end=839,
)


_WIKIFINDPAGEREQUEST = _descriptor.Descriptor(
  name='WikiFindPageRequest',
  full_name='gitaly.WikiFindPageRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.WikiFindPageRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='title', full_name='gitaly.WikiFindPageRequest.title', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='revision', full_name='gitaly.WikiFindPageRequest.revision', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='directory', full_name='gitaly.WikiFindPageRequest.directory', index=3,
      number=4, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='skip_content', full_name='gitaly.WikiFindPageRequest.skip_content', index=4,
      number=5, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=842,
  serialized_end=983,
)


_WIKIFINDPAGERESPONSE = _descriptor.Descriptor(
  name='WikiFindPageResponse',
  full_name='gitaly.WikiFindPageResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='page', full_name='gitaly.WikiFindPageResponse.page', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=985,
  serialized_end=1039,
)


_WIKIGETALLPAGESREQUEST = _descriptor.Descriptor(
  name='WikiGetAllPagesRequest',
  full_name='gitaly.WikiGetAllPagesRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.WikiGetAllPagesRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='limit', full_name='gitaly.WikiGetAllPagesRequest.limit', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='direction_desc', full_name='gitaly.WikiGetAllPagesRequest.direction_desc', index=2,
      number=3, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='sort', full_name='gitaly.WikiGetAllPagesRequest.sort', index=3,
      number=4, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _WIKIGETALLPAGESREQUEST_SORTBY,
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1042,
  serialized_end=1241,
)


_WIKIGETALLPAGESRESPONSE = _descriptor.Descriptor(
  name='WikiGetAllPagesResponse',
  full_name='gitaly.WikiGetAllPagesResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='page', full_name='gitaly.WikiGetAllPagesResponse.page', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='end_of_page', full_name='gitaly.WikiGetAllPagesResponse.end_of_page', index=1,
      number=2, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1243,
  serialized_end=1321,
)


_WIKILISTPAGESREQUEST = _descriptor.Descriptor(
  name='WikiListPagesRequest',
  full_name='gitaly.WikiListPagesRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.WikiListPagesRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='limit', full_name='gitaly.WikiListPagesRequest.limit', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='direction_desc', full_name='gitaly.WikiListPagesRequest.direction_desc', index=2,
      number=3, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='sort', full_name='gitaly.WikiListPagesRequest.sort', index=3,
      number=4, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='offset', full_name='gitaly.WikiListPagesRequest.offset', index=4,
      number=5, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _WIKILISTPAGESREQUEST_SORTBY,
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1324,
  serialized_end=1535,
)


_WIKILISTPAGESRESPONSE = _descriptor.Descriptor(
  name='WikiListPagesResponse',
  full_name='gitaly.WikiListPagesResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='page', full_name='gitaly.WikiListPagesResponse.page', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1537,
  serialized_end=1592,
)

_WIKIPAGEVERSION.fields_by_name['commit'].message_type = shared__pb2._GITCOMMIT
_WIKIPAGE.fields_by_name['version'].message_type = _WIKIPAGEVERSION
_WIKIWRITEPAGEREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_WIKIWRITEPAGEREQUEST.fields_by_name['commit_details'].message_type = _WIKICOMMITDETAILS
_WIKIUPDATEPAGEREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_WIKIUPDATEPAGEREQUEST.fields_by_name['commit_details'].message_type = _WIKICOMMITDETAILS
_WIKIFINDPAGEREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_WIKIFINDPAGERESPONSE.fields_by_name['page'].message_type = _WIKIPAGE
_WIKIGETALLPAGESREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_WIKIGETALLPAGESREQUEST.fields_by_name['sort'].enum_type = _WIKIGETALLPAGESREQUEST_SORTBY
_WIKIGETALLPAGESREQUEST_SORTBY.containing_type = _WIKIGETALLPAGESREQUEST
_WIKIGETALLPAGESRESPONSE.fields_by_name['page'].message_type = _WIKIPAGE
_WIKILISTPAGESREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_WIKILISTPAGESREQUEST.fields_by_name['sort'].enum_type = _WIKILISTPAGESREQUEST_SORTBY
_WIKILISTPAGESREQUEST_SORTBY.containing_type = _WIKILISTPAGESREQUEST
_WIKILISTPAGESRESPONSE.fields_by_name['page'].message_type = _WIKIPAGE
DESCRIPTOR.message_types_by_name['WikiCommitDetails'] = _WIKICOMMITDETAILS
DESCRIPTOR.message_types_by_name['WikiPageVersion'] = _WIKIPAGEVERSION
DESCRIPTOR.message_types_by_name['WikiPage'] = _WIKIPAGE
DESCRIPTOR.message_types_by_name['WikiWritePageRequest'] = _WIKIWRITEPAGEREQUEST
DESCRIPTOR.message_types_by_name['WikiWritePageResponse'] = _WIKIWRITEPAGERESPONSE
DESCRIPTOR.message_types_by_name['WikiUpdatePageRequest'] = _WIKIUPDATEPAGEREQUEST
DESCRIPTOR.message_types_by_name['WikiUpdatePageResponse'] = _WIKIUPDATEPAGERESPONSE
DESCRIPTOR.message_types_by_name['WikiFindPageRequest'] = _WIKIFINDPAGEREQUEST
DESCRIPTOR.message_types_by_name['WikiFindPageResponse'] = _WIKIFINDPAGERESPONSE
DESCRIPTOR.message_types_by_name['WikiGetAllPagesRequest'] = _WIKIGETALLPAGESREQUEST
DESCRIPTOR.message_types_by_name['WikiGetAllPagesResponse'] = _WIKIGETALLPAGESRESPONSE
DESCRIPTOR.message_types_by_name['WikiListPagesRequest'] = _WIKILISTPAGESREQUEST
DESCRIPTOR.message_types_by_name['WikiListPagesResponse'] = _WIKILISTPAGESRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

WikiCommitDetails = _reflection.GeneratedProtocolMessageType('WikiCommitDetails', (_message.Message,), dict(
  DESCRIPTOR = _WIKICOMMITDETAILS,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiCommitDetails)
  ))
_sym_db.RegisterMessage(WikiCommitDetails)

WikiPageVersion = _reflection.GeneratedProtocolMessageType('WikiPageVersion', (_message.Message,), dict(
  DESCRIPTOR = _WIKIPAGEVERSION,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiPageVersion)
  ))
_sym_db.RegisterMessage(WikiPageVersion)

WikiPage = _reflection.GeneratedProtocolMessageType('WikiPage', (_message.Message,), dict(
  DESCRIPTOR = _WIKIPAGE,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiPage)
  ))
_sym_db.RegisterMessage(WikiPage)

WikiWritePageRequest = _reflection.GeneratedProtocolMessageType('WikiWritePageRequest', (_message.Message,), dict(
  DESCRIPTOR = _WIKIWRITEPAGEREQUEST,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiWritePageRequest)
  ))
_sym_db.RegisterMessage(WikiWritePageRequest)

WikiWritePageResponse = _reflection.GeneratedProtocolMessageType('WikiWritePageResponse', (_message.Message,), dict(
  DESCRIPTOR = _WIKIWRITEPAGERESPONSE,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiWritePageResponse)
  ))
_sym_db.RegisterMessage(WikiWritePageResponse)

WikiUpdatePageRequest = _reflection.GeneratedProtocolMessageType('WikiUpdatePageRequest', (_message.Message,), dict(
  DESCRIPTOR = _WIKIUPDATEPAGEREQUEST,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiUpdatePageRequest)
  ))
_sym_db.RegisterMessage(WikiUpdatePageRequest)

WikiUpdatePageResponse = _reflection.GeneratedProtocolMessageType('WikiUpdatePageResponse', (_message.Message,), dict(
  DESCRIPTOR = _WIKIUPDATEPAGERESPONSE,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiUpdatePageResponse)
  ))
_sym_db.RegisterMessage(WikiUpdatePageResponse)

WikiFindPageRequest = _reflection.GeneratedProtocolMessageType('WikiFindPageRequest', (_message.Message,), dict(
  DESCRIPTOR = _WIKIFINDPAGEREQUEST,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiFindPageRequest)
  ))
_sym_db.RegisterMessage(WikiFindPageRequest)

WikiFindPageResponse = _reflection.GeneratedProtocolMessageType('WikiFindPageResponse', (_message.Message,), dict(
  DESCRIPTOR = _WIKIFINDPAGERESPONSE,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiFindPageResponse)
  ))
_sym_db.RegisterMessage(WikiFindPageResponse)

WikiGetAllPagesRequest = _reflection.GeneratedProtocolMessageType('WikiGetAllPagesRequest', (_message.Message,), dict(
  DESCRIPTOR = _WIKIGETALLPAGESREQUEST,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiGetAllPagesRequest)
  ))
_sym_db.RegisterMessage(WikiGetAllPagesRequest)

WikiGetAllPagesResponse = _reflection.GeneratedProtocolMessageType('WikiGetAllPagesResponse', (_message.Message,), dict(
  DESCRIPTOR = _WIKIGETALLPAGESRESPONSE,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiGetAllPagesResponse)
  ))
_sym_db.RegisterMessage(WikiGetAllPagesResponse)

WikiListPagesRequest = _reflection.GeneratedProtocolMessageType('WikiListPagesRequest', (_message.Message,), dict(
  DESCRIPTOR = _WIKILISTPAGESREQUEST,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiListPagesRequest)
  ))
_sym_db.RegisterMessage(WikiListPagesRequest)

WikiListPagesResponse = _reflection.GeneratedProtocolMessageType('WikiListPagesResponse', (_message.Message,), dict(
  DESCRIPTOR = _WIKILISTPAGESRESPONSE,
  __module__ = 'wiki_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.WikiListPagesResponse)
  ))
_sym_db.RegisterMessage(WikiListPagesResponse)


DESCRIPTOR.has_options = True
DESCRIPTOR._options = _descriptor._ParseOptions(descriptor_pb2.FileOptions(), _b('Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypb'))
_WIKIWRITEPAGEREQUEST.fields_by_name['repository'].has_options = True
_WIKIWRITEPAGEREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_WIKIUPDATEPAGEREQUEST.fields_by_name['repository'].has_options = True
_WIKIUPDATEPAGEREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_WIKIFINDPAGEREQUEST.fields_by_name['repository'].has_options = True
_WIKIFINDPAGEREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_WIKIGETALLPAGESREQUEST.fields_by_name['repository'].has_options = True
_WIKIGETALLPAGESREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_WIKILISTPAGESREQUEST.fields_by_name['repository'].has_options = True
_WIKILISTPAGESREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))

_WIKISERVICE = _descriptor.ServiceDescriptor(
  name='WikiService',
  full_name='gitaly.WikiService',
  file=DESCRIPTOR,
  index=0,
  options=None,
  serialized_start=1595,
  serialized_end=2054,
  methods=[
  _descriptor.MethodDescriptor(
    name='WikiWritePage',
    full_name='gitaly.WikiService.WikiWritePage',
    index=0,
    containing_service=None,
    input_type=_WIKIWRITEPAGEREQUEST,
    output_type=_WIKIWRITEPAGERESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\001')),
  ),
  _descriptor.MethodDescriptor(
    name='WikiUpdatePage',
    full_name='gitaly.WikiService.WikiUpdatePage',
    index=1,
    containing_service=None,
    input_type=_WIKIUPDATEPAGEREQUEST,
    output_type=_WIKIUPDATEPAGERESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\001')),
  ),
  _descriptor.MethodDescriptor(
    name='WikiFindPage',
    full_name='gitaly.WikiService.WikiFindPage',
    index=2,
    containing_service=None,
    input_type=_WIKIFINDPAGEREQUEST,
    output_type=_WIKIFINDPAGERESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='WikiGetAllPages',
    full_name='gitaly.WikiService.WikiGetAllPages',
    index=3,
    containing_service=None,
    input_type=_WIKIGETALLPAGESREQUEST,
    output_type=_WIKIGETALLPAGESRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='WikiListPages',
    full_name='gitaly.WikiService.WikiListPages',
    index=4,
    containing_service=None,
    input_type=_WIKILISTPAGESREQUEST,
    output_type=_WIKILISTPAGESRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
])
_sym_db.RegisterServiceDescriptor(_WIKISERVICE)

DESCRIPTOR.services_by_name['WikiService'] = _WIKISERVICE

# @@protoc_insertion_point(module_scope)
